// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"

namespace Dawn {
  enum Faction {
    FACTION_NONE,
    FACTION_ENEMY,
    FACTION_PLAYER
  };

  class EntityFaction : public SceneItemComponent {
    public:
      // @optional
      enum Faction faction = FACTION_NONE;

      EntityFaction(SceneItem* item);
  };
}