// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "util/parser/SceneAssetParser.hpp"
#include "util/CodeGen.hpp"

namespace Dawn {
  class SceneAssetGenerator : public CodeGen {
    public:
      static void generate(
        std::map<std::string, std::string> &assetMap,
        int32_t &assetNumber,
        std::vector<std::string> *initBody,
        std::vector<std::string> *assetsBody,
        struct SceneAsset *asset,
        std::string tabs
      );
  };
}