// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "util/parser/SceneParser.hpp"
#include "SceneItemGenerator.hpp"
#include "util/CodeGen.hpp"

namespace Dawn {
  class SceneGenerator : public CodeGen {
    public:
      static void generate(
        struct Scene *scene,
        struct ClassGenInfo &classInfo,
        struct MethodGenInfo &methodAssets,
        struct MethodGenInfo &methodInit
      );
  };
}